Subject: Re: [PATCH] git-remote-mediawiki: Fix a bug in a regexp

From: Matthieu Moy <[email-masked]>
Date: Sat, 08 Jun 2013 20:38:56 +0200

Célestin Matte <[email-masked]> writes:

> In Perl, '\n' is not a newline, but instead a literal backslash followed by an
> "n". As the output of "rev-list --first-parent" is line-oriented, what we want
> here is a newline.

This is right, but the code actually worked the way it was. I'm not
sure, but my understanding is that '\n' is the string "backslash
followed by n", but interpreted as a regexp, it is a newline.

The new code looks better than the old one, but the log message may be
improved.

In any case, Acked-by: Matthieu Moy <[email-masked]>

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/